//+------------------------------------------------------------------+
//|                                                   2MA_RSImod.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+


#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_level1  40
#property indicator_level2  65
#property indicator_buffers 3
#property indicator_color1 clrLime
#property indicator_color2 clrRed
#property indicator_color3 clrYellow

extern int  RSI_Timeframe=0;//0=current chart,1=m1,5=m5,15=m15,30=m30,60=h1,240=h4,etc...
extern int  RSI_Period = 14;
extern int  RSI_Applied_Price = 0;//0=close, 1=open, 2=high, 3=low, 4=(high+low)/2, 5=(high+low+close)/3, 6=(high+low+close+close)/4
extern int  Fantailvma3m1_Period = 4;
//extern int  MA1_Method = 0;// 0=SMA, 1=EMA, 2=SMMA, 3=LWMA
//extern int  Fantailvma3m2_Period = 10;
//extern int  MA2_Method = 0;// 0=SMA, 1=EMA, 2=SMMA, 3=LWMA

double Fantailvma3m1_Array[],Fantailvma3m2_Array[],RSI[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
//---- indicators setting
SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1);
SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1);
SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,1);

IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
IndicatorShortName("2MA of RSI "+RSI_Timeframe);

SetIndexBuffer(0,Fantailvma3m1_Array);
SetIndexLabel(0,"Fantailvma3m1-RSI "+Fantailvma3m1_Period);

//SetIndexBuffer(1,Fantailvma3m2_Array);
//SetIndexLabel(1,"Fantailvma3m2-RSI "+Fantailvma3m2_Period);

SetIndexBuffer(2,RSI);
SetIndexLabel(2,"RSI "+RSI_Period);

return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()
{
int limit = Bars - IndicatorCounted() - 1;

//---- indicator calculation

   for(int i=limit; i>=0; i--)
   {
    RSI[i]= iRSI(NULL,RSI_Timeframe,RSI_Period,RSI_Applied_Price,i);
    
   }
    
   for(i=limit; i>=0; i--)
   { 
    Fantailvma3m1_Array[i] = iFantailvma3mOnArray(RSI,0,Fantailvma3m1_Period,0);
    //Fantailvma3m2_Array[i] = iFantailvma3mOnArray(RSI,0,Fantailvma3m2_Period,0);
   }
//----
return(0);
}
//+------------------------------------------------------------------+